unit uStar;

interface

uses uSMath;

type
  pStar = ^rStar;
  rStar = record
    Pos   : rVec2f;
    Frame : Word;

    prev  : pStar;
    next  : pStar;
  end;

  function  AddStar     ( Pos : rVec2f; Frame : Word; prev, next : pStar ): pStar;
  procedure DeleteStar  ( star : pStar; var head : pStar; var tail : pStar );
  procedure ShiftStar   ( star : pStar; speed : rVec2f; dt : Double );
  procedure UpdateStar  ( star : pStar; maxFrame : Word );
  function  CollideStar ( star : pStar; rect : rRect ): boolean;

implementation

end.
